const int MUL_X_DEFAULT = 1;
const int MUL_Y_DEFAULT = 1;

static const unsigned long  EEPROM_MAGIC        = 123456789;
//static const byte           DATAEEPROM_VERSION  = 1;

/** Le nombre magique et le numéro de version actuelle */
static const unsigned long  STRUCT_MAGIC    = 123456789;
static const int          STRUCT_VERSION  = 2;


static long                 _magic              = 0; // crc version check
static int                  _mul_X              = 1; // position X multiplier
static int                  _mul_Y              = 1; // position X multiplier





void set_mulx (int s)
{
	_mul_X = s;
}
void set_muly (int s)
{
  _mul_Y = s;
}

int get_mulx (void)
{
	return (_mul_X);
}

int get_muly (void)
{
  return (_mul_Y);
} 

void save_config (void)
{
  long magic = EEPROM_MAGIC;
  int eeAddress = 0;

  EEPROM.put(eeAddress, magic);
  eeAddress += sizeof(magic);
  EEPROM.put(eeAddress, _mul_X);
  eeAddress += sizeof(_mul_X);
  EEPROM.put(eeAddress, _mul_Y);
  eeAddress += sizeof(_mul_Y);
}

/** Charge le contenu de la mémoire EEPROM dans la structure */
void chargeEEPROM() {

  // Lit la mémoire EEPROM
 // EEPROM.get(0, ms);
}

int  load_config (void)
{
  
  int eeAddress = 0;
  EEPROM.get(eeAddress, _magic);  
  if (_magic != EEPROM_MAGIC)
    return (0);
  eeAddress += sizeof(_magic); // taille de la derniere position
  EEPROM.get(eeAddress, _mul_X);  
  eeAddress += sizeof(_mul_X);
  EEPROM.get(eeAddress, _mul_Y);  
  eeAddress += sizeof(_mul_Y);

  chargeEEPROM();


  return (1);
}

long get_eeprom_magic (void)
{
  return (_magic);
}

